import 'dart:io' show Platform;

enum PaymentMethods { ALL, CREDIT_CARD, FAWRY_PAY, WALLET }

extension ParseToString on PaymentMethods? {
  String toShortString() {
    String? paymentMethod = "ALL";
    if (this == null) {
      paymentMethod = "ALL";
    } else {
      paymentMethod = toString().split('.').last;
    }

    return getPlatformPaymentMethod(paymentMethod);
  }

  String getPlatformPaymentMethod(String method) {
    if (Platform.isIOS) {
      switch (method) {
        case "CREDIT_CARD":
          return "PayUsingCC";
        case "FAWRY_PAY":
          return "PayAtFawry";
        case "WALLET":
          return "MWALLET";
        default:
          return "all";
      }
    } else {
      return method;
    }
  }
}
